- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
AL::Math::NotImplementedShape3DVisitor Class Reference

`#include <shapes3d.h>`

## Public Member Functions
| NotImplementedShape3DVisitor (const std::string msg="not implemented")
virtual void | visit (const Pill &) const override
virtual void | visit (const Sphere &) const override
virtual void | visit (const RoundedRectangle &) const override
virtual void | visit (const Plane &) const override
virtual void | visit (const HalfSpace &) const override
virtual void | visit (const Rectangle &) const override
virtual void | visit (const HalfLine &) const override
virtual | ~NotImplementedShape3DVisitor ()=default
Public Member Functions inherited from AL::Math::Shape3DVisitor
virtual | ~Shape3DVisitor ()=default

## Detailed Description

Definition at line 176 of file shapes3d.h.

## Constructor & Destructor Documentation

AL::Math::NotImplementedShape3DVisitor::NotImplementedShape3DVisitor | ( | const std::string | msg = `"not implemented"` | ) |
| inline

Definition at line 178 of file shapes3d.h.

virtual AL::Math::NotImplementedShape3DVisitor::~NotImplementedShape3DVisitor | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const Pill & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 180 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const Sphere & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 183 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const RoundedRectangle & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 186 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const Plane & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 189 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const HalfSpace & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 192 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const Rectangle & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 195 of file shapes3d.h.

virtual void AL::Math::NotImplementedShape3DVisitor::visit | ( | const HalfLine & |  | ) | const
| inline override virtual

Implements AL::Math::Shape3DVisitor.

Definition at line 198 of file shapes3d.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/geometrics/shapes3d.h